Package com.destroystokyo.paper.event.player

# Class PlayerLocaleChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
com.destroystokyo.paper.event.player.PlayerLocaleChangeEvent

@Deprecated public class PlayerLocaleChangeEvent extends PlayerEvent
Deprecated.
Replaced by `PlayerLocaleChangeEvent` upstream
Called when the locale of the player is changed.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerLocaleChangeEvent(Player player, String oldLocale, String newLocale)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static HandlerList`
`getHandlerList()`
Deprecated.
`HandlerList`
`getHandlers()`
Deprecated.
`String`
`getNewLocale()`
Deprecated.
Gets the locale the player is changed to.
`String`
`getOldLocale()`
Deprecated.
Gets the locale the player switched from.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerLocaleChangeEvent

public PlayerLocaleChangeEvent(Player player, String oldLocale, String newLocale)
Deprecated.

## Method Details

### getOldLocale

public String getOldLocale()
Deprecated.
Gets the locale the player switched from.

Returns:
  player's old locale

### getNewLocale

public String getNewLocale()
Deprecated.
Gets the locale the player is changed to.

Returns:
  player's new locale

### getHandlers

public HandlerList getHandlers()
Deprecated.

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

public static HandlerList getHandlerList()
Deprecated.